# module PG::BasicTypeRegistry

### Constants

CODERS_BY_NAME

  The key of this hash maps to the `typname` column from the table. encoder_map is then dynamically built with oids as the key and Type objects as values.

ValidDirections
ValidFormats

### Protected Instance Methods

check_format_and_direction(format, direction) click to toggle source

    # File lib/pg/basic_type_mapping.rb, line 126
    def check_format_and_direction(format, direction)
            raise(ArgumentError, "Invalid format value %p" % format) unless ValidFormats[format]
            raise(ArgumentError, "Invalid direction %p" % direction) unless ValidDirections[direction]
    end